/*
** SellaNMS
** $Id: map_statement.cxx,v 1.6 2006/01/24 07:08:09 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

static const char rcsid[] = "$Id: map_statement.cxx,v 1.6 2006/01/24 07:08:09 sella Exp $";

#include "map_statement.h"
#include "map_statement_term.h"

MapStatement::MapStatement() {
	this->setType("map-statement");
}

MapStatement::~MapStatement() {
}

/*
	Get a new instance of a map-statement term.

	Return Values
		A new instance of a map-statement term (allocated via the new operator).
*/
Term *MapStatement::getNewStatementTerm() const {
	return new MapStatementTerm();
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3 sts=3
*/
